Join Us and become a Member for a Verified Badge on Discord to access private areas with the latest PS4 FPKGs.
PS4 CFW and Hacks       Thread starter sonik       Start date Oct 26, 2018 at 9:38 PM       58,992       134      
Following the PS4 Remote Package Installer and RPI_GUI release I've made a GUI for Windows. It's portable and only needs the .Net Framework (4.5.2) followed by PS4RPI_02.rar, PS4RPI_03.rar, serve-win32.zip updates, PS4RPI_04.rar and more revisions below.

For the http server it uses miniweb.exe. It's included in the download. Please try it.

Download link: PS4RPIGUI: PS4 Remote Package Installer GUI (Latest Version) / ps4rpi_01.rar (319.6 KB) / ps4rpi_01.rar (Mirror) / PS4RPI_02.rar (224.2 KB) / PS4RPI_02.rar (Mirror) / PS4RPI_03.rar (273.2 KB) / ps4rpi_03.rar (Mirror) / serve-win.rar (7.2 MB) / serve-win.rar (Mirror) / serve-win32.zip (8.1 MB - Windows 32-bit Compiled) / serve-win32.zip (Mirror) / PS4RPI_04.rar (274 KB) / PS4RPI-v2.0-pre1.zip / GIT

I will add more features later and also implement some error catching.

PS4 Remote Package Installer Tutorial (5.05 Jailbreak)
PS4RPI PS4 Remote Package Installer GUI by Sonik.png
 

Comments

madmax187

Member
Contributor
@sonik Yeah that would be great.. please share the new version so we can test it.

If you can, please add mirrors for that link in case the one you post goes down.

Did you code the internal web server yourself or just added the current server internally to the program?
 

madmax187

Member
Contributor
@sonik can you remove program requirement of exactly needing .NET core 3.1.0?

When I click download button it takes me to version 3.1.11 download link and it give exact same error after installing 3.1.11


Also which to install x86 or x64?
 

sonik

Developer
Member
Contributor
Verified
Sorry but I can't help. I don't have another PC to try.

Someone posted a solution on stackoverflow if you want to try:

finally I have downloaded 3.1.201 and copied Microsoft.AspNetCore.App\3.1.3 folder manually from the zip file to C:\ProgramFiles\dotnet\shared\Microsoft.AspNetCore.App\3.1.3
 

madmax187

Member
Contributor
@sonik Can the program requirement remove the need for exactly .NET core 3.1.0?

People who run this program and see that error, when they click YES to download the missing .NET core would be taken to a version of .NET core that is not that exact version.. so this could be a problem for them.
 

sonik

Developer
Member
Contributor
Verified
I have no control over this. I'm not forcing it to require a specific version.

Please try uninstalling the older ASPNet Core and installing this new
5.0.2 version.

As I said, I have no other means to test it.
 

sonik

Developer
Member
Contributor
Verified
There's a new release on github. It's compiled for 64bits windows: win-x64-self-contained-pre1.rar

The download file is now bigger but it is bundled with .NET Desktop Runtime 5.0 and ASP.NET Core Runtime 5.0.

It might still require the installing of ASP.NET Core Runtime 5.0 Hosting Bundle. You can test without and with it installed.

The Hosting Bundle can be downloaded here if needed.

Please try it and provide feedback. I really hope this time it will work.
 

:fire: Latest Help Topics

Top